org.gradle.api.tasks.testing

## Interface JUnitXmlReport

- All Superinterfaces:
    org.gradle.util.Configurable<Report>, ConfigurableReport, DirectoryReport, Report, Serializable

      public interface JUnitXmlReport
      extends DirectoryReport

  The JUnit XML files, commonly used to communicate results to CI servers.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.reporting.Report

      `Report.OutputType`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.reporting.Report

      `NAMER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isOutputPerTestCase()` Should the output be associated with individual test cases instead of at the suite level.
    `void` | `setOutputPerTestCase(boolean outputPerTestCase)` Should the output be associated with individual test cases instead of at the suite level.

    - ### Methods inherited from interface org.gradle.api.reporting.DirectoryReport

      `getEntryPoint, getOutputType`

    - ### Methods inherited from interface org.gradle.api.reporting.ConfigurableReport

      `setDestination`

    - ### Methods inherited from interface org.gradle.api.reporting.Report

      `getDestination, getDisplayName, getName, isEnabled, setEnabled`

    - ### Methods inherited from interface org.gradle.util.Configurable

      `configure`

- - ### Method Detail

    - #### isOutputPerTestCase

          @Incubating
          boolean isOutputPerTestCase()

      Should the output be associated with individual test cases instead of at the suite level.

    - #### setOutputPerTestCase

          @Incubating
          void setOutputPerTestCase(boolean outputPerTestCase)

      Should the output be associated with individual test cases instead of at the suite level.